<section class="content">
    <h1>Bankgegevens ophalen</h1>
    <h2>Kies aan de rechtkant een bank waarvan de klant {{hasPartner ? 'en partner' : ''}} inloggegevens bij zich
        {{hasPartner ? 'hebben' : 'heeft'}}
        en volg de
        stappen in het scherm.
        Dit ga je voor elke gekozen rekening uit de vorige stap doen.</h2>

    <section class="stepper-container">
        <app-stepper [currentStep]="currentIban?.iban" [stepStarted]='queryActive'>
            <app-stepper-step *ngFor="let item of ibans; let i = index" [code]="item.iban">
                <div class="circle-content">{{i + 1}}</div>
                <div class="step-title light">Stap {{i+1}}</div>
                <div class="step-title bold">{{item.iban}}</div>
            </app-stepper-step>
        </app-stepper>
    </section>
    <section class="button-container">
        <button class="secondary small" (click)="skip()" [disabled]="!queryActive">Overslaan</button>
        <button class="secondary small" (click)="retry()" [disabled]="!queryActive">Opnieuw proberen</button>
    </section>
</section>